Unit tfta1z_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FTA1Z_p;

function tfta1z: String;

implementation

function tfta1z: String;
var
_i :Integer;
A :Array [0..3] of Complex;
_ear :Array of Extended;   //  
begin
Result := '';  {   }
A[0] := Cmplx(1.0e0,0.0e0);
A[1] := Cmplx(4.0e0,0.0e0);
A[2] := Cmplx(7.0e0,0.0e0);
A[3] := Cmplx(10.0e0,0.0e0);
SetLength(_ear,2*(High(A)+1));  //   
for _i:=0 to High(A) do
 begin
 _ear[2*_i] := A[_i].re; //  
 _ear[2*_i + 1] := A[_i].im; //  
 end;
//FTA1Z(A,4,1);
FTA1Z(_ear,4,1);
for _i:=0 to High(A) do
 begin
 A[_i].re := _ear[2*_i]; //  
 A[_i].im := _ear[2*_i + 1]; //  
 end;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f %20.16f ',[A[_i].re,A[_i].im]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tfta1z',Result);  {     tfta1z.res }
exit;
end;

end.
